Account Setting
Setting object
- namestring
Name of the setting.
- boolean_valobject
Setting value for boolean type setting. This is the setting value set by consumers, check effective_boolean_val for final setting value.
Show child attributesHide child attributes
- valueboolean
- string_valobject
Setting value for string type setting. This is the setting value set by consumers, check effective_string_val for final setting value.
Show child attributesHide child attributes
- valuestring
Represents a generic string value.
- integer_valobject
Setting value for integer type setting. This is the setting value set by consumers, check effective_integer_val for final setting value.
Show child attributesHide child attributes
- valueint32
- automatic_cluster_update_workspaceobject
Setting value for automatic_cluster_update_workspace setting. This is the setting value set by consumers, check effective_automatic_cluster_update_workspace for final setting value.
Show child attributesHide child attributes
- enabledboolean
- can_toggleboolean
- maintenance_windowobject
Show child attributesHide child attributes
- week_day_based_scheduleobject
Show child attributesHide child attributes
- frequencystring
- day_of_weekstring
- window_start_timeobject
- enablement_detailsobject
Show child attributesHide child attributes
- forced_for_compliance_modeboolean
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availableboolean
- aibi_dashboard_embedding_approved_domainsobject
Setting value for aibi_dashboard_embedding_approved_domains setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_approved_domains for final setting value.
Show child attributesHide child attributes
- approved_domainsarray of string
- aibi_dashboard_embedding_access_policyobject
Setting value for aibi_dashboard_embedding_access_policy setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_access_policy for final setting value.
Show child attributesHide child attributes
- access_policy_typestring
- restrict_workspace_adminsobject
Setting value for restrict_workspace_admins setting. This is the setting value set by consumers, check effective_restrict_workspace_admins for final setting value.
Show child attributesHide child attributes
- statusstring
- disable_gov_tag_creationbooleanPublic Preview
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- personal_computeobject
Setting value for personal_compute setting. This is the setting value set by consumers, check effective_personal_compute for final setting value.
Show child attributesHide child attributes
- valuestring
ON: Grants all users in all workspaces access to the Personal Compute default policy, allowing all users to create single-machine compute resources. DELEGATE: Moves access control for the Personal Compute default policy to individual workspaces and requires a workspace’s users or groups to be added to the ACLs of that workspace’s Personal Compute default policy before they will be able to create compute resources through that policy.
- allowed_apps_user_api_scopesobjectBeta
Setting value for allowed_apps_user_api_scopes setting. This is the setting value set by consumers, check effective_allowed_apps_user_api_scopes for final setting value.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- operational_email_custom_recipientobjectPublic Preview
Setting value for operational_email_custom_recipient setting. This is the setting value set by consumers, check effective_operational_email_custom_recipient for final setting value.
Show child attributesHide child attributes
- emailstringPublic Preview
- effective_boolean_valobjectOutput only
Effective setting value for boolean type setting. This is the final effective value of setting. To set a value use boolean_val.
Show child attributesHide child attributes
- valueboolean
- effective_string_valobjectOutput only
Effective setting value for string type setting. This is the final effective value of setting. To set a value use string_val.
Show child attributesHide child attributes
- valuestring
Represents a generic string value.
- effective_integer_valobjectOutput only
Effective setting value for integer type setting. This is the final effective value of setting. To set a value use integer_val.
Show child attributesHide child attributes
- valueint32
- effective_automatic_cluster_update_workspaceobject
Effective setting value for automatic_cluster_update_workspace setting. This is the final effective value of setting. To set a value use automatic_cluster_update_workspace.
Show child attributesHide child attributes
- enabledboolean
- can_toggleboolean
- maintenance_windowobject
Show child attributesHide child attributes
- week_day_based_scheduleobject
Show child attributesHide child attributes
- frequencystring
- day_of_weekstring
- window_start_timeobject
- enablement_detailsobject
Show child attributesHide child attributes
- forced_for_compliance_modeboolean
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availableboolean
- effective_aibi_dashboard_embedding_approved_domainsobject
Effective setting value for aibi_dashboard_embedding_approved_domains setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_approved_domains.
Show child attributesHide child attributes
- approved_domainsarray of string
- effective_aibi_dashboard_embedding_access_policyobject
Effective setting value for aibi_dashboard_embedding_access_policy setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_access_policy.
Show child attributesHide child attributes
- access_policy_typestring
- effective_restrict_workspace_adminsobject
Effective setting value for restrict_workspace_admins setting. This is the final effective value of setting. To set a value use restrict_workspace_admins.
Show child attributesHide child attributes
- statusstring
- disable_gov_tag_creationbooleanPublic Preview
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- effective_personal_computeobject
Effective setting value for personal_compute setting. This is the final effective value of setting. To set a value use personal_compute.
Show child attributesHide child attributes
- valuestring
ON: Grants all users in all workspaces access to the Personal Compute default policy, allowing all users to create single-machine compute resources. DELEGATE: Moves access control for the Personal Compute default policy to individual workspaces and requires a workspace’s users or groups to be added to the ACLs of that workspace’s Personal Compute default policy before they will be able to create compute resources through that policy.
- effective_allowed_apps_user_api_scopesobjectBetaOutput only
Effective setting value for allowed_apps_user_api_scopes setting. This is the final effective value of setting. To set a value use allowed_apps_user_api_scopes.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- effective_operational_email_custom_recipientobjectPublic PreviewOutput only
Effective setting value for operational_email_custom_recipient setting. This is the final effective value of setting. To set a value use operational_email_custom_recipient.
Show child attributesHide child attributes
- emailstringPublic Preview
Get GA
GET
Get a setting value at account level. See settingsv2/listaccountsettingsmetadata for list of setting available via public APIs at account level.
API scopes: settings
Parameters
- account_idstringRequiredpath
- namestringRequiredpath
Response
Returns the Setting object.
Update GA
PATCH
Patch a setting value at account level. See settingsv2/listaccountsettingsmetadata for list of setting available via public APIs at account level.
To determine the correct field to include in a patch request, refer to the type field of the setting returned in the settingsv2/listaccountsettingsmetadata response.
Note: Page refresh is required for changes to take effect in UI.
API scopes: settings
Parameters
- account_idstringRequiredpath
<Databricks> account ID of the account being managed.
- namestringRequiredpath
Request body
- settingobjectRequired
Show child attributesHide child attributes
- namestring
Name of the setting.
- boolean_valobject
Setting value for boolean type setting. This is the setting value set by consumers, check effective_boolean_val for final setting value.
Show child attributesHide child attributes
- valueboolean
- string_valobject
Setting value for string type setting. This is the setting value set by consumers, check effective_string_val for final setting value.
Show child attributesHide child attributes
- valuestring
Represents a generic string value.
- integer_valobject
Setting value for integer type setting. This is the setting value set by consumers, check effective_integer_val for final setting value.
Show child attributesHide child attributes
- valueint32
- automatic_cluster_update_workspaceobject
Setting value for automatic_cluster_update_workspace setting. This is the setting value set by consumers, check effective_automatic_cluster_update_workspace for final setting value.
Show child attributesHide child attributes
- enabledboolean
- can_toggleboolean
- maintenance_windowobject
Show child attributesHide child attributes
- week_day_based_scheduleobject
- enablement_detailsobject
Show child attributesHide child attributes
- forced_for_compliance_modeboolean
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availableboolean
- aibi_dashboard_embedding_approved_domainsobject
Setting value for aibi_dashboard_embedding_approved_domains setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_approved_domains for final setting value.
Show child attributesHide child attributes
- approved_domainsarray of string
- aibi_dashboard_embedding_access_policyobject
Setting value for aibi_dashboard_embedding_access_policy setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_access_policy for final setting value.
Show child attributesHide child attributes
- access_policy_typestringRequired
- restrict_workspace_adminsobject
Setting value for restrict_workspace_admins setting. This is the setting value set by consumers, check effective_restrict_workspace_admins for final setting value.
Show child attributesHide child attributes
- statusstringRequired
- disable_gov_tag_creationbooleanPublic Preview
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- personal_computeobject
Setting value for personal_compute setting. This is the setting value set by consumers, check effective_personal_compute for final setting value.
Show child attributesHide child attributes
- valuestring
ON: Grants all users in all workspaces access to the Personal Compute default policy, allowing all users to create single-machine compute resources. DELEGATE: Moves access control for the Personal Compute default policy to individual workspaces and requires a workspace’s users or groups to be added to the ACLs of that workspace’s Personal Compute default policy before they will be able to create compute resources through that policy.
- allowed_apps_user_api_scopesobjectBeta
Setting value for allowed_apps_user_api_scopes setting. This is the setting value set by consumers, check effective_allowed_apps_user_api_scopes for final setting value.
Show child attributesHide child attributes
- allowed_scopesarray of stringBeta
- operational_email_custom_recipientobjectPublic Preview
Setting value for operational_email_custom_recipient setting. This is the setting value set by consumers, check effective_operational_email_custom_recipient for final setting value.
Show child attributesHide child attributes
- emailstringPublic Preview
- effective_automatic_cluster_update_workspaceobject
Effective setting value for automatic_cluster_update_workspace setting. This is the final effective value of setting. To set a value use automatic_cluster_update_workspace.
Show child attributesHide child attributes
- enabledboolean
- can_toggleboolean
- maintenance_windowobject
Show child attributesHide child attributes
- week_day_based_scheduleobject
- enablement_detailsobject
Show child attributesHide child attributes
- forced_for_compliance_modeboolean
The feature is force enabled if compliance mode is active
- restart_even_if_no_updates_availableboolean
- effective_aibi_dashboard_embedding_approved_domainsobject
Effective setting value for aibi_dashboard_embedding_approved_domains setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_approved_domains.
Show child attributesHide child attributes
- approved_domainsarray of string
- effective_aibi_dashboard_embedding_access_policyobject
Effective setting value for aibi_dashboard_embedding_access_policy setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_access_policy.
Show child attributesHide child attributes
- access_policy_typestringRequired
- effective_restrict_workspace_adminsobject
Effective setting value for restrict_workspace_admins setting. This is the final effective value of setting. To set a value use restrict_workspace_admins.
Show child attributesHide child attributes
- statusstringRequired
- disable_gov_tag_creationbooleanPublic Preview
When true, workspace admins cannot create governance tags. ALLOW_ALL status does not override this; they are independent.
- effective_personal_computeobject
Effective setting value for personal_compute setting. This is the final effective value of setting. To set a value use personal_compute.
Show child attributesHide child attributes
- valuestring
ON: Grants all users in all workspaces access to the Personal Compute default policy, allowing all users to create single-machine compute resources. DELEGATE: Moves access control for the Personal Compute default policy to individual workspaces and requires a workspace’s users or groups to be added to the ACLs of that workspace’s Personal Compute default policy before they will be able to create compute resources through that policy.
Response
Returns the Setting object.